<template>
  <div id="playerList">

    <input type="text" placeholder="Rechercher un joueur" class="input-search" v-model="search" @change="filter">

    <div class="card mb-3" data-bs-toggle="modal" data-bs-target="#exampleModal" @click="playerDetail(player.id)" style="max-width: 540px;" v-for="(player, index) in items" :key="index">
      <div class="row g-0">
        <div class="col-md-4 cropped">
          <img :src="player.picture" class="img-fluid">
        </div>
        <div class="col-md-8">
          <div class="card-body">
            <h5 class="card-title">
              {{ player.firstname }} {{ player.lastname }}
            </h5>

            <table class="table table-borderless">
              <thead>
                <tr>
                  <th>Rank</th>
                  <th>Points</th>
                  <th>Country</th>
                </tr>
              </thead>
              <tbody>
                <tr>
                  <td>#{{player.data.rank}}</td>
                  <td>{{player.data.points}}</td>
                  <td>{{player.country.code}}</td>
                </tr>
              </tbody>
            </table>
            
          </div>
        </div>
      </div>
    </div>

    <slot></slot>

  </div>
</template>

<script src="./index.js"></script>

<style scoped src="./index.css"></style>
